petsc-3.4.2 2013-07-02

# DMPlexGetCone

Return the points on the in-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCone(DM dm, PetscInt p, const PetscInt *cone[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

cone -An array of points which are on the in-edges for point p

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

You must also call DMPlexRestoreCone() after you finish using the returned array.

### See Also

DMPlexCreate(), DMPlexSetCone(), DMPlexSetChart()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages